.notification-panel-components {
  margin: 30px 0;
  min-height: 90px;
  border: solid 2px;
  position: relative;
  border-radius: 6px;
  box-sizing: border-box;
  padding: 17px 23px 17px 23px;

  .close {
    font-size: 14px;
  }

  .ant-alert-message {
    margin-top: -4px;
    font-weight: bold;
    margin-bottom: 7px;
  }

  &.pending {
    border-color: #026bfa;
    background-color: #e9f7fe;
    
    .icon {
      left: 22px;
      top: 16.5px;
      height: 14px;
      width: 22.1px;
    }

    .ant-alert-message {
      color: #026bfa;
      margin-left: 35px;
    }

    .ant-alert-description {
      color: #0b5be7;
      margin-left: -2px;
    }

    .ant-alert-close-icon {
      color: #026bfa;
    }
  }

  &.approved {
    border-color: #71d08e;
    background-color: #eefaf0;
    
    .icon {
      top: 20px;
      left: 23px;
      width: 16px;
      height: 12px;
    }

    .ant-alert-message {
      color: #00c155;
      margin-left: 23px;
    }

    .ant-alert-description {
      color: #39a86f;
    }

    .ant-alert-close-icon {
      color: #00c155;
    }
  }

  &.declined {
    padding-bottom: 8px;
    border-color: #e67f93;
    background-color: #fdf7f9;
    
    .icon {
      top: 19px;
      left: 23px;
      width: 14px;
      height: 14px;
      color: #e46a81;
    }

    .ant-alert-message {
      color: #e46a81;
      margin-left: 25px;
    }

    .ant-alert-description {
      
      .title {
        font-weight: bold;
      }
      
      div {
        margin-right: 19px;
        margin-bottom: 9px;
        vertical-align: top;
        display: inline-block;
      }
      
      p {
        margin: 0;
        color: #a8395a;
        vertical-align: top;
        display: inline-block;
      }
    }

    .ant-alert-close-icon {
      color: #e46a81;
    }
  }
}
